Update knowledge item or media
curl --request PATCH \
--url https://api.nuvia.ai/v1/knowledge/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/knowledge/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/knowledge/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"name": "<string>",
"type": "KNOWLEDGE",
"file_type": "PDF",
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"onboarding": {},
"attribution": {}
},
"description": "<string>",
"s3_key": "<string>",
"file_url": "<string>",
"content": "<string>",
"status": "PROCESSING",
"meta": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Base de Conhecimento
Update knowledge item or media
Updates the name and/or description of a knowledge item or media
PATCH
/
v1
/
knowledge
/
{id}
Update knowledge item or media
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
Knowledge/media ID
Response
200 - application/json
Available options:
KNOWLEDGE, MEDIA Available options:
PDF, DOCX, AUTCL, IMAGE, VIDEO, AUDIO, DOCUMENT Show child attributes
Show child attributes
S3 object key. Source of truth for generating the signed URL.
Available options:
PROCESSING, READY, ERROR